%% Generate rec Raster plot
%attack pup
clc;clear;
anno_path = 'E:\Long Mei\female infanticide paper revision\BNST-Esr1-mCherry\C02999086-1\20220405\annotation_saline_pup.txt';


[Fstart, Fstop, behaviors] = inputtext(anno_path);
intro_id = strfind_part(behaviors, {'start'});
rmv_id = strfind_part(behaviors, {'stop'});
SFstart = Fstart(intro_id:rmv_id-1);
SFstop = Fstop(intro_id:rmv_id-1);
Sbehaviors = behaviors(intro_id:rmv_id-1);


figure; hold on; 
y_behavior = 0; h_behavior = 0.5;


% Investid = strfind_part(Sbehaviors, {'Intro-pup'});
% for i = 1:length(Investid)
%     rectangle('Position', [SFstart(Investid(i)) y_behavior SFstop(Investid(i))-SFstart(Investid(i)) h_behavior], 'FaceColor', 'k', 'EdgeColor', 'none')
% end

Investigateid = strfind_part(Sbehaviors, {'Investigate-pup'});
for i = 1:length(Investigateid)
    rectangle('Position', [SFstart(Investigateid(i)) y_behavior SFstop(Investigateid(i))-SFstart(Investigateid(i)) h_behavior], 'FaceColor', 'y', 'EdgeColor', 'none')
end

% Groomid = strfind_part(Sbehaviors, {'Groom-pup'});
% for i = 1:length(Groomid)
%     rectangle('Position', [SFstart(Groomid(i)) y_behavior SFstop(Groomid(i))-SFstart(Groomid(i)) h_behavior], 'FaceColor', 'g', 'EdgeColor', 'none')
% end

Attackid = strfind_part(Sbehaviors, {'Attack-pup'});
for i = 1:length(Attackid)
    rectangle('Position', [SFstart(Attackid(i)) y_behavior SFstop(Attackid(i))-SFstart(Attackid(i)) h_behavior], 'FaceColor', 'r', 'EdgeColor', 'none')
end

Retrieveid = strfind_part(Sbehaviors, {'Retrieve-pup'});
for i = 1:length(Retrieveid)
    rectangle('Position', [SFstart(Retrieveid(i)) y_behavior SFstop(Retrieveid(i))-SFstart(Retrieveid(i)) h_behavior], 'FaceColor', 'b', 'EdgeColor', 'none')
end

Retrieveid = strfind_part(Sbehaviors, {'Carry-pup'});
for i = 1:length(Retrieveid)
    rectangle('Position', [SFstart(Retrieveid(i)) y_behavior SFstop(Retrieveid(i))-SFstart(Retrieveid(i)) h_behavior], 'FaceColor', 'c', 'EdgeColor', 'none')
end

Retrieveid = strfind_part(Sbehaviors, {'Crouch-on-pup'});
for i = 1:length(Retrieveid)
    rectangle('Position', [SFstart(Retrieveid(i)) y_behavior SFstop(Retrieveid(i))-SFstart(Retrieveid(i)) h_behavior], 'FaceColor', 'g', 'EdgeColor', 'none')
end

set(gcf, 'Units', 'Normalized', 'OuterPosition', [0.2, 0.6, 0.5, 0.15])
set(gca,'ytick',[]);
set(gca,'xtick',[]);
box on;
hold off;